com.tibbo.aggregate.common.device

## Class DeviceAssetDefinition

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.device.DeviceAssetDefinition

- All Implemented Interfaces:
    java.lang.Comparable<DeviceAssetDefinition>

      public class DeviceAssetDefinition
      extends AggreGateBean
      implements java.lang.Comparable<DeviceAssetDefinition>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_ENABLED`
    `static java.lang.String` | `FIELD_ID`
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceAssetDefinition()`
    `DeviceAssetDefinition(DataRecord data)`
    `DeviceAssetDefinition(java.lang.String id, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSubgroup(DeviceAssetDefinition child)`
    `int` | `compareTo(DeviceAssetDefinition other)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<DeviceAssetDefinition>` | `getChildren()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getId()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `void` | `setChildren(java.util.List<DeviceAssetDefinition> children)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setId(java.lang.String id)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_ID

          public static final java.lang.String FIELD_ID

      See Also:
        Constant Field Values

    - #### FIELD_ENABLED

          public static final java.lang.String FIELD_ENABLED

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### DeviceAssetDefinition

          public DeviceAssetDefinition()

    - #### DeviceAssetDefinition

          public DeviceAssetDefinition(DataRecord data)

    - #### DeviceAssetDefinition

          public DeviceAssetDefinition(java.lang.String id,
                                       java.lang.String description)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getChildren

          public java.util.List<DeviceAssetDefinition> getChildren()

    - #### setChildren

          public void setChildren(java.util.List<DeviceAssetDefinition> children)

    - #### addSubgroup

          public void addSubgroup(DeviceAssetDefinition child)

    - #### compareTo

          public int compareTo(DeviceAssetDefinition other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DeviceAssetDefinition>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`